Skip to main content
GET
Error

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

packageId
string<guid>
required

The target package's unique identifier A package's unique identifier

Example:

"00000000-0000-0000-0000-000000000000"

orderIndex
integer
required

The index of the document within the package The index of the new document within the package. Documents with this index or greater are pushed back.

Required range: x >= 0

Response

document was found

A single document

Id
string<guid>

A document's unique identifier

Example:

"00000000-0000-0000-0000-000000000000"

PackageId
string<guid>

A package's unique identifier

Example:

"00000000-0000-0000-0000-000000000000"

Name
string

Name of the document

Required string length: 1 - 150
Example:

"example document"

CreationDate
string<date-time>

When the resource was created

MediaType
enum<string>

The media type of a file

Available options:
application/pdf,
application/xml
Example:

"application/pdf"

Language
string<languageCode>

A country's 2 letter ISO code (ISO 639-1)

Example:

"en"

Status
enum<string>

The status of a document

Available options:
Draft,
Pending,
InProgress,
Ending,
Finished,
Rejected,
Revoked,
Expired,
Failed,
Processing,
ProcessingFailed
Elements
(Signing field · object | Check box field · object | Text box field · object | Radio group · object)[]

The document's elements

A field that can be signed by an actor

ExternalReference
string

External reference to this resource set by the calling application. NSEV does not use this value itself. When filtering packages, this matches the package-level external reference only, not document or field references.

Maximum string length: 256
ProofCorrelationId
string
deprecated

Id for correlating with other resources in the proofs system

OrderIndex
integer

The Order Index of the document.

IsActionNeeded
boolean

Indicates that the document is not fully processed and user must take an action to keep/remove signatures/markers. (presented only for draft packages if true)

ErrorCode
string

The code of error occured during async document uploading. (presented only for processingFailed document)

HasSignatures
boolean

If present, the document data contains signatures. (Returns only for document with IsActionNeeded)

HasSigningFields
boolean

If present, the document data contains signing field markers. (Returns only for document with IsActionNeeded)

HasFormFields
boolean

If present, the document data contains form field markers. (Returns only for document with IsActionNeeded)